Home page logo
/

fulldisclosure logo Full Disclosure mailing list archives

[USN-74-2] Fixed Postfix packages for USN-74-1
From: Martin Pitt <martin.pitt () canonical com>
Date: Fri, 4 Feb 2005 17:59:10 +0100

===========================================================
Ubuntu Security Notice USN-74-2           February 04, 2005
postfix vulnerability
http://bugs.debian.org/267837
===========================================================

A security issue affects the following Ubuntu releases:

Ubuntu 4.10 (Warty Warthog)

The following packages are affected:

postfix

The problem can be corrected by upgrading the affected package to
version 2.1.3-1ubuntu17.2.  In general, a standard system upgrade is
sufficient to effect the necessary changes.

Details follow:

This is an update to the recently published Ubuntu Security Notice
USN-74-1, which fixed the delivery of arbitrary mail to any MX host
which has an IPv6 address.

Unfortunately that upgrade revealed an error in the package upgrade
system which caused package installation to fail. After the failed
upgrade the Postfix server was not started again, thus no mail was
delivered.

This new set of packages fixes the error encountered when upgrading.

  Source archives:

    http://security.ubuntu.com/ubuntu/pool/main/p/postfix/postfix_2.1.3-1ubuntu17.2.diff.gz
      Size/MD5:   411437 13a5c70dc86b6ad2e46faa6672200e8a
    http://security.ubuntu.com/ubuntu/pool/main/p/postfix/postfix_2.1.3-1ubuntu17.2.dsc
      Size/MD5:      864 aee128959b1f82569fd02749f388d768
    http://security.ubuntu.com/ubuntu/pool/main/p/postfix/postfix_2.1.3.orig.tar.gz
      Size/MD5:  1971632 1f515b0d80cd1f9db0113240bf36f248

  Architecture independent packages:

    http://security.ubuntu.com/ubuntu/pool/main/p/postfix/postfix-dev_2.1.3-1ubuntu17.2_all.deb
      Size/MD5:    97088 46dcc8fcee909ecea7302e6947d05d07
    http://security.ubuntu.com/ubuntu/pool/main/p/postfix/postfix-doc_2.1.3-1ubuntu17.2_all.deb
      Size/MD5:   644018 dae4547b5d36db64479bebca2b5ec840

  amd64 architecture (Athlon64, Opteron, EM64T Xeon)

    http://security.ubuntu.com/ubuntu/pool/main/p/postfix/postfix-ldap_2.1.3-1ubuntu17.2_amd64.deb
      Size/MD5:    35498 6d6dd7836d5af1d83b7d2ead8bc0fda3
    http://security.ubuntu.com/ubuntu/pool/main/p/postfix/postfix-mysql_2.1.3-1ubuntu17.2_amd64.deb
      Size/MD5:    31404 d10130dc56d01393fc747e8b3e4c7a7a
    http://security.ubuntu.com/ubuntu/pool/main/p/postfix/postfix-pcre_2.1.3-1ubuntu17.2_amd64.deb
      Size/MD5:    30968 173da69b4a8f840d1ef3c10b59f4a06e
    http://security.ubuntu.com/ubuntu/pool/main/p/postfix/postfix-pgsql_2.1.3-1ubuntu17.2_amd64.deb
      Size/MD5:    31714 30b2ee7467e5b47a04ed1171c33748f6
    http://security.ubuntu.com/ubuntu/pool/main/p/postfix/postfix-tls_2.1.3-1ubuntu17.2_amd64.deb
      Size/MD5:   156612 74e496f8fb62d61b40a22f78aae736c2
    http://security.ubuntu.com/ubuntu/pool/main/p/postfix/postfix_2.1.3-1ubuntu17.2_amd64.deb
      Size/MD5:   820554 18bda73d0d8a0fd10ad7673c1860cc13

  i386 architecture (x86 compatible Intel/AMD)

    http://security.ubuntu.com/ubuntu/pool/main/p/postfix/postfix-ldap_2.1.3-1ubuntu17.2_i386.deb
      Size/MD5:    34784 2fec1db5f7b4edabea43ed8626f0721e
    http://security.ubuntu.com/ubuntu/pool/main/p/postfix/postfix-mysql_2.1.3-1ubuntu17.2_i386.deb
      Size/MD5:    30896 16a60ac74dac8a267ec61f9174720a72
    http://security.ubuntu.com/ubuntu/pool/main/p/postfix/postfix-pcre_2.1.3-1ubuntu17.2_i386.deb
      Size/MD5:    30602 aebc4184e77ab6fd432a3e71b3d97dae
    http://security.ubuntu.com/ubuntu/pool/main/p/postfix/postfix-pgsql_2.1.3-1ubuntu17.2_i386.deb
      Size/MD5:    31178 438941c8a89fc88a88e2b85b8434e747
    http://security.ubuntu.com/ubuntu/pool/main/p/postfix/postfix-tls_2.1.3-1ubuntu17.2_i386.deb
      Size/MD5:   143082 eef18b6bc92d853b22e17860ba218e45
    http://security.ubuntu.com/ubuntu/pool/main/p/postfix/postfix_2.1.3-1ubuntu17.2_i386.deb
      Size/MD5:   763534 de18daee7c9c2b13b02d00a5ab1040d3

  powerpc architecture (Apple Macintosh G3/G4/G5)

    http://security.ubuntu.com/ubuntu/pool/main/p/postfix/postfix-ldap_2.1.3-1ubuntu17.2_powerpc.deb
      Size/MD5:    36642 6520c94c375ce32827221b16081c5fb8
    http://security.ubuntu.com/ubuntu/pool/main/p/postfix/postfix-mysql_2.1.3-1ubuntu17.2_powerpc.deb
      Size/MD5:    32796 01b94955868878fa372b910c900a0017
    http://security.ubuntu.com/ubuntu/pool/main/p/postfix/postfix-pcre_2.1.3-1ubuntu17.2_powerpc.deb
      Size/MD5:    32536 23b6cfd53bf332bb08f9f40832cb0ed5
    http://security.ubuntu.com/ubuntu/pool/main/p/postfix/postfix-pgsql_2.1.3-1ubuntu17.2_powerpc.deb
      Size/MD5:    33096 131f608edeb2bba86c7800ded7868f51
    http://security.ubuntu.com/ubuntu/pool/main/p/postfix/postfix-tls_2.1.3-1ubuntu17.2_powerpc.deb
      Size/MD5:   152514 5ea8a791b57acafa9d07daf579ba6287
    http://security.ubuntu.com/ubuntu/pool/main/p/postfix/postfix_2.1.3-1ubuntu17.2_powerpc.deb
      Size/MD5:   826232 b904c4bbf4e140cd92a9845bc8730c15

Attachment: signature.asc
Description: Digital signature

_______________________________________________
Full-Disclosure - We believe in it.
Charter: http://lists.netsys.com/full-disclosure-charter.html

  By Date           By Thread  

Current thread:
  • [USN-74-2] Fixed Postfix packages for USN-74-1 Martin Pitt (Feb 04)
[ Nmap | Sec Tools | Mailing Lists | Site News | About/Contact | Advertising | Privacy ]
AlienVault